<?php
/* Copyright (C) 2015 Oscss-Shop Team <support@oscss-shop.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
	@file    class/actions_dmadvancedconfig.class.php
	@ingroup dmadvancedconfig / dolmessage
	@brief   Greffon fulltag for dolmessage
		add hook fonctions
*/
 

/**
	@class ActionsDmadvancedconfig
*/
class ActionsDmadvancedconfig  {

	function AjaxProcess($parameters, &$object, &$action, $hookmanager) {
	}
	
	
	
    /** Overloading the doActions function : replacing the parent's function with the one below 
     *  @param      parameters  meta datas of the hook (context, etc...) 
     *  @param      object             the object you want to process (an invoice if you are in invoice module, a propale in propale's module, etc...) 
     *  @param      action             current action (if set). Generally create or edit or null 
     *  @return       void 
     */
    function doActions($parameters, &$object, &$action, $hookmanager) {
			global $langs, $db,$user;

			$contexts = explode(':',$parameters['context']);
			$objp=$parameters['objp']; 
			
			if(in_array('greffon', $contexts) && in_array('dolmessage', $contexts)  ){ // si on a un email sur le contact

				switch($action){
					case 'validate':
						dol_include_once('/dolmessage/class/connector/dmadvancedconfig.class.php');
						
						$number = GETPOST('userbox'); 
						$identifiid = GETPOST('identifiid');
// 						$number = GETPOST('number');
						$folder = 'INBOX'; 
						$dolimap = new dmadvancedconfig($db, $user, true);
						// $dolimap->SetUser($user->id, $number);
						if(empty($identifiid)) 
							$dolimap->SetUser($user->id, $number);
						elseif(!empty($identifiid)) 
							$dolimap->SetUserGroup($identifiid, $number);
		
						$f=$dolimap->Open($folder);

						$newconf = array(); 
						foreach($dolimap->listerror as $row){
							setEventMessages ($row['text'],'warnings');
							var_dump($row);die();
                            if(isset($row['forceconfig']))
							foreach($row['forceconfig'] as $k=>$v)
								$newconf[$k]=$v; 
						}
		
						if( $dolimap->FixedConfigUser($user->id, $number, $newconf) )
							setEventMessages ('DolMessageReconfigureRourBoxOk', 'mesgs' );
						$action=''; 

						return 0;
					break;
					default: 
				}
			}
        
        return 0;
    }

    function addMoreActionsButtons($parameters, &$object, &$action, $hookmanager) {
        global $langs, $db;

        $contexts = explode(':',$parameters['context']);
				$objp=$parameters['objp']; 
// 				print_r($objp); 
        if(in_array('greffon', $contexts) && in_array('dolmessage', $contexts)  ){ // si on a un email sur le contact
            $s = '<a class="butAction" href="'.dol_buildpath('/framework/tabs/generic.php?mod=dolmessage&tab=user&action=validate&id='.$object->id .'&userbox='.$objp->data_number, 1).'">'.$langs->trans('ValidateMailbox').'</a><br /><br />';
            
            $this->results = array('validate' => array(
								'print' => $s
							, 'return' => 1
							) );
            
        }

        return 1; 
    }

}

